NullBlockAliasMap (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: NullBlockAliasMap

Package org.apache.hadoop.hdfs.server.namenode

# Class NullBlockAliasMap

java.lang.Object
org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap<FileRegion>
org.apache.hadoop.hdfs.server.namenode.NullBlockAliasMap

@Public @Unstable public class NullBlockAliasMap extends BlockAliasMap<FileRegion>
Null sink for region information emitted from FSImage.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap

  `org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap.ImmutableIterator, org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap.Reader<U extends BlockAlias>, org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap.Writer<U extends BlockAlias>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NullBlockAliasMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap.Reader<FileRegion>`
  `getReader(org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap.Reader.Options opts, String blockPoolID)`
  Returns a reader to the alias map.
  `org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap.Writer`
  `getWriter(org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap.Writer.Options opts, String blockPoolID)`
  Returns the writer for the alias map.
  `void`
  `refresh()`
  Refresh the alias map.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NullBlockAliasMap

    public NullBlockAliasMap()

- ## Method Details

  - ### getReader

    public org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap.Reader<FileRegion> getReader(org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap.Reader.Options opts, String blockPoolID) throws IOException
    Description copied from class: `BlockAliasMap`
    Returns a reader to the alias map.
    Specified by:
      `getReader` in class `BlockAliasMap<FileRegion>`
    Parameters:
      `opts` - reader options
      `blockPoolID` - block pool id to use
    Returns:
      `BlockAliasMap.Reader` to the alias map. If a Reader for the blockPoolID cannot be created, this will return null.
    Throws:
      `IOException`

  - ### getWriter

    public org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap.Writer getWriter(org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap.Writer.Options opts, String blockPoolID) throws IOException
    Description copied from class: `BlockAliasMap`
    Returns the writer for the alias map.
    Specified by:
      `getWriter` in class `BlockAliasMap<FileRegion>`
    Parameters:
      `opts` - writer options.
      `blockPoolID` - block pool id to use
    Returns:
      `BlockAliasMap.Writer` to the alias map.
    Throws:
      `IOException`

  - ### refresh

    public void refresh() throws IOException
    Description copied from class: `BlockAliasMap`
    Refresh the alias map.
    Specified by:
      `refresh` in class `BlockAliasMap<FileRegion>`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in class `BlockAliasMap<FileRegion>`
    Throws:
      `IOException`